<!DOCTYPE HTML>
<html lang="la">
<head>
	<title>Index generalis Civis Romani et Scriptoris Latini – cr_sl_namen</title>
	<meta name="author" content="Bernd Platzdasch"><!-- 23.8.2020 // 23.3.2021 -->
	<meta charset="UTF-8">
</head>
<body>
	<?php
		/* Trägt die Anzahl der Beiträge, geschriebenen u. empfangenen Briefe, der Übersetzungen
		   und übersetzen Schriften u. den "ersten Namen" in der Tabelle "melissa_namen" nach
		  +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		  DIE DATEI MUSS NACH JEDER AKTUALISIERUNG DER MELISSA-DB
		  EINMAL MANUELL AUFGERUFEN WERDEN!!
		  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

		include("php/namen.inc.php");
		//
		require_once $_SERVER['DOCUMENT_ROOT'] . '/db_connection.php';
		$sql_select = "SELECT * FROM societaslatina_namen";
		$sql_result = $db->query($sql_select);
		$insgesamt = $sql_result->num_rows;
		//
		echo $insgesamt . " Namen insgesamt";
		//
		while ($row = $sql_result->fetch_object()) {
			$erster_name = erster_name($row->Name);
			$erster_name = $db->real_escape_string($erster_name);
			//
			$sql_update = "UPDATE societaslatina_namen SET ersterName = '" . $erster_name . "' WHERE NameID = '" . $row->NameID . "'";
			$sql_result_update =  $db->query($sql_update);
			//
			$arr_counter = array(
				"(Textgattung <> 'Epistula') AND (Autor LIKE '%$erster_name%')",
				"(Textgattung = 'Epistula') AND (Autor LIKE '%$erster_name%')",
				"(Textgattung = 'Epistula') AND (Briefempfaenger LIKE '%$erster_name%') ",
				"(Textgattung = 'Diploma') AND (Briefempfaenger LIKE '%$erster_name%') ",
				"(Uebersetzung = '1') AND (Autor LIKE '%$erster_name%')",
				"Originalautor LIKE '%$erster_name%'"
			);
			$arr_columns = array(
				"symbolae",
				"epist_mis",
				"epist_acc",
				"diplo_acc",
				"interpretes",
				"versiones"
			);
			for ($i = 0; $i < count($arr_counter); $i++) {
				$isg = 0;
				$sql_select_a = "SELECT * FROM societaslatina WHERE " . $arr_counter[$i];
				$sql_result_a = $db->query($sql_select_a);
				$isg = $sql_result_a->num_rows;
				//
				$sql_update = "UPDATE societaslatina_namen SET " .  $arr_columns[$i] . " = " . $isg . " WHERE NameID = '" . $row->NameID . "'";
				$sql_result_update =  $db->query($sql_update);
				//
			}
		}
		$db->close();
	?>
</body>
</html>
